#pragma once

#include "../../entity.hpp"

#include <vector>

namespace game::state::play
{
  class ParticleManager
  {
  public:
    std::vector<Entity> particles{};

    void spawn(resource::xml::Character&, const std::string&, glm::vec2);
    void update();
    void render(resource::Shader&, resource::Shader&, Canvas&);
  };
}
